/*
Navicat MySQL Data Transfer

Source Server         : 192.168.178.35
Source Server Version : 50527
Source Host           : localhost:3306
Source Database       : adminmod

Target Server Type    : MYSQL
Target Server Version : 50527
File Encoding         : 65001

Date: 2015-05-14 16:34:40
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `ai_bans`
-- ----------------------------
DROP TABLE IF EXISTS `ai_bans`;
CREATE TABLE `ai_bans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `player` int(11) DEFAULT NULL,
  `admin` int(11) DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  `time` int(11) DEFAULT NULL,
  `type` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of ai_bans
-- ----------------------------

-- ----------------------------
-- Table structure for `ai_groups`
-- ----------------------------
DROP TABLE IF EXISTS `ai_groups`;
CREATE TABLE `ai_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupname` varchar(128) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of ai_groups
-- ----------------------------
INSERT INTO `ai_groups` VALUES ('-1', 'none');
INSERT INTO `ai_groups` VALUES ('1', 'Admin');
INSERT INTO `ai_groups` VALUES ('2', 'Mod');
INSERT INTO `ai_groups` VALUES ('3', 'Friend');

-- ----------------------------
-- Table structure for `ai_permissions`
-- ----------------------------
DROP TABLE IF EXISTS `ai_permissions`;
CREATE TABLE `ai_permissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `groupid` int(11) DEFAULT NULL,
  `alias` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of ai_permissions
-- ----------------------------
INSERT INTO `ai_permissions` VALUES ('1', null, null, '1', 'nextmap');
INSERT INTO `ai_permissions` VALUES ('2', null, null, '1', 'kick');
INSERT INTO `ai_permissions` VALUES ('3', null, null, '1', 'endgame');
INSERT INTO `ai_permissions` VALUES ('4', null, null, '1', 'ban');
INSERT INTO `ai_permissions` VALUES ('5', null, null, '1', 'bots');
INSERT INTO `ai_permissions` VALUES ('6', null, null, '1', 'nquery');
INSERT INTO `ai_permissions` VALUES ('7', null, null, '1', 'ipban');
INSERT INTO `ai_permissions` VALUES ('8', null, null, '1', 'tempban');
INSERT INTO `ai_permissions` VALUES ('9', null, null, '1', 'tempipban');
INSERT INTO `ai_permissions` VALUES ('10', null, null, '1', 'swap');
INSERT INTO `ai_permissions` VALUES ('11', null, null, '1', 'putgroup');
INSERT INTO `ai_permissions` VALUES ('12', null, null, '2', 'kick');
INSERT INTO `ai_permissions` VALUES ('13', null, null, '2', 'ban');
INSERT INTO `ai_permissions` VALUES ('14', null, null, '2', 'tempban');
INSERT INTO `ai_permissions` VALUES ('15', null, null, '2', 'ipban');
INSERT INTO `ai_permissions` VALUES ('16', null, null, '2', 'tempipban');
INSERT INTO `ai_permissions` VALUES ('17', null, null, '2', 'swap');
INSERT INTO `ai_permissions` VALUES ('18', null, null, '2', 'endgame');
INSERT INTO `ai_permissions` VALUES ('19', null, null, '1', 'shutdown');
INSERT INTO `ai_permissions` VALUES ('20', null, null, '2', 'nextmap');
INSERT INTO `ai_permissions` VALUES ('21', null, null, '1', 'test');
INSERT INTO `ai_permissions` VALUES ('22', null, null, '2', 'test');
INSERT INTO `ai_permissions` VALUES ('23', null, null, '1', 'setnextmap');
INSERT INTO `ai_permissions` VALUES ('24', null, null, '2', 'setnextmap');
INSERT INTO `ai_permissions` VALUES ('25', null, null, '2', 'nquery');

-- ----------------------------
-- Table structure for `ai_players`
-- ----------------------------
DROP TABLE IF EXISTS `ai_players`;
CREATE TABLE `ai_players` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) DEFAULT NULL,
  `keyhash` varchar(32) DEFAULT NULL,
  `lastip` varchar(15) DEFAULT NULL,
  `lastseen` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of ai_players
-- ----------------------------

-- ----------------------------
-- Table structure for `ai_users`
-- ----------------------------
DROP TABLE IF EXISTS `ai_users`;
CREATE TABLE `ai_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) DEFAULT NULL,
  `keyhash` varchar(32) DEFAULT NULL,
  `group` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of ai_users
-- ----------------------------
